%define _libexecdir %{_prefix}/libexec
%define majver %(echo %version | cut -d. -f1-2)

Name:          idjc
Version:       0.8.16
Release:       %mkrel 2
Summary:       Internet DJ Console, a graphical SHOUTcast/Icecast client
Group:         Sound/Players
License:       GPLv2+
Url:           http://idjc.sourceforge.net/
Source0:       http://sourceforge.net/projects/idjc/files/idjc/%{majver}/idjc-%{version}.tar.gz
# (cjw) disable libswresample since decoding files with libavcodec fails with:
#       avcodecdecode_play: av_samples_alloc failed
Patch3:        idjc-0.8.14-disable-swresample.patch

#BuildRequires: faad2
#BuildRequires: faad2-devel
#BuildRequires: flac-devel
#BuildRequires: lame-devel
# TODO  failed to locate lib[mp3]lame dynamic library
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: glibc-devel
BuildRequires: mutagen
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(mad)
BuildRequires: pkgconfig(ogg)
BuildRequires: pkgconfig(pygobject-2.0)
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(shout-idjc)
BuildRequires: pkgconfig(sndfile)
BuildRequires: pkgconfig(speex)
BuildRequires: pkgconfig(theora)
BuildRequires: pkgconfig(vorbis)
BuildRequires: python-devel
BuildRequires: python-eyed3
BuildRequires: vorbis-tools

Requires:      mutagen
Requires:      pulseaudio-module-jack

%description
A graphical shoutcast/icecast client with two media players, a jingles player,
crossfader, ogg and mp3 streaming, shutoff timer, aux input. Uses Jack Audio
Connection Kit. Supports playing of mp3, ogg, flac, wma, wav, m4a, files.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -sif
%configure2_5x --disable-static
%make_build

%install
%make_install

desktop-file-install --delete-original \
    --remove-category=Application \
    --add-category="AudioVideo" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -r %{buildroot}%{_docdir}/%{name}-%{version}

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README AUTHORS ChangeLog NEWS doc/*.html doc/*.css doc/*.png
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*.1.xz
%{python_sitelib}/idjcmonitor.*


%changelog
* Tue May 02 2017 akien <akien> 0.8.16-2.mga6
+ Revision: 1098361
- Rebuild for ffmpeg 3.3

* Thu Mar 09 2017 akien <akien> 0.8.16-1.mga6
+ Revision: 1090876
- Version 0.8.16
- Rebuild for ffmpeg 3.2.4

* Mon Feb 08 2016 umeabot <umeabot> 0.8.14-2.mga6
+ Revision: 950710
- Mageia 6 Mass Rebuild

* Sun Nov 16 2014 cjw <cjw> 0.8.14-1.mga5
+ Revision: 797553
- fix build dep on libshout, now libshout-idjc
- 0.8.14
- patch3: disable libswresample to fix playing of files using libavcodec/libavformat

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-10.mga5
+ Revision: 743236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-9.mga5
+ Revision: 680462
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 danf <danf> 0.8.7-8.mga5
+ Revision: 675014
- Added libogg.patch to fix build

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-7.mga4
+ Revision: 529790
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 fwang <fwang> 0.8.7-6.mga4
+ Revision: 453373
- use avcodec_open2
- fix build with recent ffmpeg

* Sat Jan 12 2013 umeabot <umeabot> 0.8.7-6.mga3
+ Revision: 354243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.8.7-5.mga3
+ Revision: 341637
- rebuild for new ffmpeg

* Wed Dec 05 2012 barjac <barjac> 0.8.7-4.mga3
+ Revision: 327021
- changed group to new policy
- minor spec clean

* Fri Jun 01 2012 fwang <fwang> 0.8.7-3.mga3
+ Revision: 252805
- build with system libshout

* Fri Jun 01 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 252804
- more patch
- fix build with latest ffmpeg

* Fri Dec 30 2011 gil <gil> 0.8.7-2.mga2
+ Revision: 189040
- fix url
- rebuilt with libshout support
- rebuilt with libshout support
- rebuilt with speex support
- imported package idjc

